Obsolescence programmée : fin de partie pour l’iphone 3G et les architectures ARMV6

C’est officiel, Xcode 4.5 ne supporte plus les architectures ARMV6.

Cela signifie que nous ne pouvons plus compiler d’applications pour ces plateformes avec la dernière version d’Xcode.

Fin de partie pour l'iphone 3G et les architecture ARM version 6

Pourquoi ?

  1. Pour doper les ventes en programmant l’obsolescence d’appareils « trop solides » (Cycle de vie de IPhone 3G = 4 ans )
  2. Pour éviter un phénomène de fragmentation matérielle (le problème numéro 1 d’Android)
  3. Pour imposer une transition vers IOS SDK 5 et 6 ( et corrélativement des modèles de gestion de la mémoire ARC)

Post-scriptum :

Pour adapter nos applications à l’iphone 5 et son écran 4 pouces en 640×1136, nous (développeurs) sommes contraints d’utiliser la dernière version d’Xcode. Dilemme : « nous devons choisir entre le support de l’iphone 5 et celui de l’iphone 3G » CQFD -L’obsolescence de l’iphone 3G est inéluctable – et cela à très court terme.